#
# spec file for package lpdfilter (Version 0.42)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  termcap xf86
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl rpm termcap xdevel xf86 xshared

Name:         lpdfilter
Version:      0.42
Release:      155
Summary:      A standard printer filter for lpd
License:      GPL
Group:        Hardware/Printing
Provides:     lpdfilter
Requires:     a2ps file fileutils textutils dialog netpbm jpeg transfig g3utils html2ps groff print_daemon ghostscript_any
Autoreqprov:  on
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      lpdfilter-0.42.tar.bz2
Source1:      pspreloads.tar.bz2
Patch:        lpdfilter-0.42.dif
Patch1:       lpdfilter-0.42-secure.dif

%description
lpdfilter  is  a collection of scripts to be used to print
various data with lpr(1) and lpd(8).  To  enable  this  an
entry  for  lpdfilter  in  /etc/printcap  is required (see
printcap(5)).  This  can  be  done  by  using  the  script
lprsetup  or calling YaST2 which its self uses lprsetup to
do this.

Authors:
--------
    Werner Fink <werner@suse.de>

SuSE series: ap

%prep
%setup 
%patch1 -p 0 -b .sec
%patch

%build
  xmkmf -a
  make

%install
  make install DESTDIR=${RPM_BUILD_ROOT}
  bzip2 COPYING
  bzip2 -d -c %{SOURCE1} | tar xf - -C ${RPM_BUILD_ROOT}/usr/lib/lpdfilter/
  chown -R root.root ${RPM_BUILD_ROOT}/usr/lib/lpdfilter
  mv ${RPM_BUILD_ROOT}/usr/sbin/lprsetup ${RPM_BUILD_ROOT}/usr/lib/lpdfilter/bin/
  ln -sf ../lib/lpdfilter/bin/lprsetup ${RPM_BUILD_ROOT}/usr/sbin/lprsetup

%files
%doc COPYING.bz2 README
/etc/lpdfilter
/usr/lib/lpdfilter
/usr/sbin/lprsetup
%doc /usr/share/man/man8/lpdfilter.8.gz

%changelog -n lpdfilter
* Wed Oct 23 2002 - werner@suse.de
- Security update for runlpr
* Tue Mar 12 2002 - werner@suse.de
- Set correct DESTDIR for redirect scripts to set correct
  permisions for executing.
* Tue Mar 05 2002 - werner@suse.de
- More fixes for bug #14385: plain forwarding queue, prefilter +
  frowarding queue, and prefilter queue where the forwarding
  in BSD style
* Tue Mar 05 2002 - werner@suse.de
- Fix bug #14385: filter locally for remote queue
* Mon Mar 04 2002 - werner@suse.de
- Fix bugs #14328, #14327, #14355, #14372, #14394
  * lpdfilter -delete $QUEUE should delete the /etc/lpdfilter/$QUEUE/
  * set the permissions of printcap always correctly
  * lpdfilter handle a4dj correctly
  * Use GS_OPTIONS _and_ GS_AFTER for YaST2 upp files in lpdfilter
  * do not set -r for Ghostscript in bin/if if no $dpi is given
* Fri Mar 01 2002 - werner@suse.de
- Fix bug #14254: correct comment about doing form feeds.
* Wed Feb 27 2002 - werner@suse.de
- Fix bug #13962: break post command to get the executable and
  its options separated.
- Fix bug #13969: use paranoid group (non) permissions for LPRng
* Tue Feb 26 2002 - werner@suse.de
- One fix mor for bug #13787: append :fq: if :ff_separator: is used
* Fri Feb 22 2002 - werner@suse.de
- Fix bug #13787: replace :sf@: with :ff_separator:
* Fri Feb 22 2002 - werner@suse.de
- Fix bug 13160: Be not berkly compatible if we use extended
  lp entries, do not overwrite number of allowed copies.
* Fri Feb 08 2002 - werner@suse.de
- Remove code word from listings in lprsetup
* Tue Jan 29 2002 - werner@suse.de
- Move input filter after the upp scanner (#bug 12955)
- Comment out type check on PostScript input even if ghostscript
  is used for printing (#bug 12955)
* Tue Jan 29 2002 - werner@suse.de
- Fix bug #12940: Do real closing of fd 1 and 3 in lprsetup
* Mon Jan 28 2002 - werner@suse.de
- Remove xgrace from Requires
- Move /usr/sbin/lprsetup to /usr/lib/lpdfilter/bin/lprsetup
  and make a symbolic link back to /usr/sbin/
* Thu Jan 24 2002 - werner@suse.de
- Enable gamma correction with Z option of lpr
- Add PostScript preloads
* Tue Jan 22 2002 - werner@suse.de
- Initial version of lpdfilter as a replacement of apsfilter
